Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.request
Class PortletActionRequest

    java.lang.Object
      org.jboss.portal.portlet.controller.request.ControllerRequest
          org.jboss.portal.portlet.controller.request.ContainerRequest
              org.jboss.portal.portlet.controller.request.PortletRequest
                  org.jboss.portal.portlet.controller.request.PortletActionRequest

    public class PortletActionRequest

extends PortletRequest

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`PortletActionRequest(java.lang.String windowId, StateString interactionState, java.util.Map<java.lang.String,java.lang.String[]> bodyParameters, PortletWindowNavigationalState windowNavigationalState, PortletPageNavigationalState pageNavigationalState)` Build a new portlet action request.

Method Summary
`java.util.Map<java.lang.String,java.lang.String[]>` | `getBodyParameters()`
`StateString` | `getInteractionState()`

Methods inherited from class org.jboss.portal.portlet.controller.request.PortletRequest
`getPageNavigationalState, getWindowNavigationalState`

Methods inherited from class org.jboss.portal.portlet.controller.request.ContainerRequest
`getWindowId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletActionRequest

    public PortletActionRequest(java.lang.String windowId,
                                StateString interactionState,
                                java.util.Map<java.lang.String,java.lang.String[]> bodyParameters,
                                PortletWindowNavigationalState windowNavigationalState,
                                PortletPageNavigationalState pageNavigationalState)
                         throws java.lang.IllegalArgumentException

  Build a new portlet action request.

  Parameters:
    `windowId` - the window id
    `interactionState` - the interaction state
    `bodyParameters` - the body parameters
    `windowNavigationalState` - the window navigational state
    `pageNavigationalState` - the page navigational state
  Throws:
    `java.lang.IllegalArgumentException` - if the window id or the interaction state is null

Method Detail

### getInteractionState

    public StateString getInteractionState()

### getBodyParameters

    public java.util.Map<java.lang.String,java.lang.String[]> getBodyParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.